Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155405 - Fix path in /etc/ghostscript/CIDFnmap.ko so firefox et al. will print Korean
Summary: Fix path in /etc/ghostscript/CIDFnmap.ko so firefox et al. will print Korean
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-korean
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 01:42 UTC by John Thacker
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.0.11-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 05:20:44 UTC


Attachments (Terms of Use)

Description John Thacker 2005-04-20 01:42:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
The fonts were moved:

* Thu Feb 24 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.11-2
- Use /usr/share/fonts/korean instead of /usr/share/fonts/ko

Yet this change was not reflected in CIDFnmap.ko.
Currently /etc/ghostscript/CIDFnmap.ko has the lines:

/Baekmuk-Batang         (/usr/share/fonts/ko/TrueType/batang.ttf)       ;
/Baekmuk-Dotum          (/usr/share/fonts/ko/TrueType/dotum.ttf)        ;
/Baekmuk-Gulim          (/usr/share/fonts/ko/TrueType/gulim.ttf)        ;
/Baekmuk-Headline       (/usr/share/fonts/ko/TrueType/hline.ttf)        ;

which should be changed to read the correct path (korean instead of ko)

As a result, mozilla, firefox, et al. don't print Korean.

Version-Release number of selected component (if applicable):
fonts-korean-1.0.11-2

How reproducible:
Always

Steps to Reproduce:
1. Try to print Korean from mozilla, et al.
2. Note failure
  

Actual Results:  Boxes or blank spaces in place of characters

Expected Results:  Korean should have printed.

Additional info:

Comment 1 John Thacker 2005-04-20 01:42:32 UTC
See bug #155403 for more info; it's the same thing about fonts-japanese.

Comment 2 Akira TAGOH 2005-04-20 05:20:44 UTC
Will be fixed in 1.0.11-4.


Note You need to log in before you can comment on or make changes to this bug.